JobSub - Bug #23353

request library replaces pycurl as an option in client
09/30/2019 12:04 PM - Dennis Box

Status: Closed Start date: 04/23/2019
Priority: Normal Due date:

Assignee: Dennis Box % Done: 0%
Category: Estimated time: 0.00 hour
Target version: v1.3 Spent time: 0.00 hour
First Occurred: Stakeholders:

Occurs In:

Description

Enable the client to optionally use the python requests library instead of the pycurl library.
Do not make it the default as the request lib is not widely distributed amongst machines that use jobsub client, and a cascade of
warnings results when the client is used on such a machine.

History

#1 - 10/24/2019 10:44 AM - Dennis Box

- Status changed from New to Resolved

#2 - 01/09/2020 03:56 PM - Dennis Box

- Status changed from Resolved to Closed
